meta-google: gbmc-update: Only find a single sig

We sometimes have provided tarballs with multiple image or sig files
present. We need to limit find to just try the first one.

Change-Id: If942c122e95a70ee5d84af702760ff4bc1cb2edb
Signed-off-by: William A. Kennington III <wak@google.com>
diff --git a/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh b/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh
index 1831d49..d08575a 100644
--- a/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh
+++ b/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh
@@ -51,7 +51,7 @@
   done
 
   local sig
-  sig="$(find "$tmpdir" -name 'image-*.sig')" || return
+  sig="$(find "$tmpdir" -name 'image-*.sig' | head -n 1)" || return
   local img="${sig%.sig}"
   mv "$sig" "$GBMC_UPGRADE_SIG" || return
   mv "$img" "$GBMC_UPGRADE_IMG" || return